Index: distrib/sets/lists/base/mi
===================================================================
RCS file: /cvsroot/src/distrib/sets/lists/base/mi,v
retrieving revision 1.632
diff -u -r1.632 mi
--- distrib/sets/lists/base/mi	19 Jun 2006 17:28:24 -0000	1.632
+++ distrib/sets/lists/base/mi	22 Jun 2006 19:12:09 -0000
@@ -903,11 +903,22 @@
 ./usr/libexec/postfix/lmtp			base-postfix-bin	postfix
 ./usr/libexec/postfix/local			base-postfix-bin	postfix
 ./usr/libexec/postfix/master			base-postfix-bin	postfix
-./usr/libexec/postfix/nqmgr			base-obsolete	obsolete
+./usr/libexec/postfix/nqmgr			base-obsolete		obsolete
 ./usr/libexec/postfix/oqmgr			base-postfix-bin	postfix
 ./usr/libexec/postfix/pickup			base-postfix-bin	postfix
 ./usr/libexec/postfix/pipe			base-postfix-bin	postfix
+./usr/libexec/postfix/postalias			base-postfix-bin	postfix
+./usr/libexec/postfix/postcat			base-postfix-bin	postfix
+./usr/libexec/postfix/postconf			base-postfix-bin	postfix
+./usr/libexec/postfix/postdrop			base-postfix-bin	postfix
+./usr/libexec/postfix/postfix			base-postfix-bin	postfix
+./usr/libexec/postfix/postkick			base-postfix-bin	postfix
+./usr/libexec/postfix/postlock			base-postfix-bin	postfix
+./usr/libexec/postfix/postlog			base-postfix-bin	postfix
+./usr/libexec/postfix/postmap			base-postfix-bin	postfix
+./usr/libexec/postfix/postqueue			base-postfix-bin	postfix
+./usr/libexec/postfix/postsuper			base-postfix-bin	postfix
 ./usr/libexec/postfix/proxymap			base-postfix-bin	postfix
 ./usr/libexec/postfix/qmgr			base-postfix-bin	postfix
 ./usr/libexec/postfix/qmqpd			base-obsolete		obsolete
Index: etc/mailer.conf
===================================================================
RCS file: /cvsroot/src/etc/mailer.conf,v
retrieving revision 1.17
diff -u -r1.17 mailer.conf
--- etc/mailer.conf	15 Jun 2006 13:09:24 -0000	1.17
+++ etc/mailer.conf	22 Jun 2006 19:12:12 -0000
@@ -18,6 +18,36 @@
 #    configure /etc/postfix/main.cf and then uncomment
 #    the smtp service in /etc/postfix/master.cf
 #
+
+#
+# If you choose to install postfix as a package, you can override
+# all the postfix commands here.  By default, the system-supplied
+# are used.
+#
+postalias	/usr/libexec/postfix/postalias
+postcat		/usr/libexec/postfix/postcat
+postconf	/usr/libexec/postfix/postconf
+postdrop	/usr/libexec/postfix/postdrop
+postfix		/usr/libexec/postfix/postfix
+postkick	/usr/libexec/postfix/postkick
+postlog		/usr/libexec/postfix/postlog
+postmap		/usr/libexec/postfix/postmap
+postqueue	/usr/libexec/postfix/postqueue
+postsuper	/usr/libexec/postfix/postsuper
 sendmail	/usr/libexec/postfix/sendmail
 mailq		/usr/libexec/postfix/sendmail
 newaliases	/usr/libexec/postfix/sendmail
+# pkgsrc replacements
+#postalias	/usr/pkg/sbin/postalias
+#postcat	/usr/pkg/sbin/postcat
+#postconf	/usr/pkg/sbin/postconf
+#postdrop	/usr/pkg/sbin/postdrop
+#postfix	/usr/pkg/sbin/postfix
+#postkick	/usr/pkg/sbin/postkick
+#postlog	/usr/pkg/sbin/postlog
+#postmap	/usr/pkg/sbin/postmap
+#postqueue	/usr/pkg/sbin/postqueue
+#postsuper	/usr/pkg/sbin/postsuper
+#sendmail	/usr/pkg/sbin/sendmail
+#mailq		/usr/pkg/sbin/sendmail
+#newaliases	/usr/pkg/sbin/sendmail
Index: gnu/usr.sbin/postfix/Makefile.inc
===================================================================
RCS file: /cvsroot/src/gnu/usr.sbin/postfix/Makefile.inc,v
retrieving revision 1.13
diff -u -r1.13 Makefile.inc
--- gnu/usr.sbin/postfix/Makefile.inc	18 Aug 2005 22:30:36 -0000	1.13
+++ gnu/usr.sbin/postfix/Makefile.inc	22 Jun 2006 19:13:09 -0000
@@ -43,7 +43,8 @@
 PFIX_ETCDIR=	/etc/postfix
 PFIX_EXAMPLEDIR=/usr/share/examples/postfix
 PFIX_HTMLDIR=	/usr/share/doc/html/postfix
-PFIX_SBINDIR=	/usr/sbin
+PFIX_SBINDIR=	/usr/libexec/postfix
 
 # override defaults which are otherwise empty and/or so postconf is correct
 CPPFLAGS+=	-DDEF_HTML_DIR=\"${PFIX_HTMLDIR}\" \
Index: usr.sbin/mailwrapper/Makefile
===================================================================
RCS file: /cvsroot/src/usr.sbin/mailwrapper/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- usr.sbin/mailwrapper/Makefile	30 Nov 2002 03:10:57 -0000	1.6
+++ usr.sbin/mailwrapper/Makefile	22 Jun 2006 19:13:43 -0000
@@ -7,6 +7,17 @@
 		/usr/sbin/mailwrapper /usr/bin/newaliases \
 		/usr/sbin/mailwrapper /usr/bin/mailq \
 		/usr/sbin/mailwrapper /usr/bin/hoststat \
-		/usr/sbin/mailwrapper /usr/bin/purgestat
+		/usr/sbin/mailwrapper /usr/bin/purgestat \
+		/usr/sbin/mailwrapper /usr/sbin/postalias \
+		/usr/sbin/mailwrapper /usr/sbin/postcat \
+		/usr/sbin/mailwrapper /usr/sbin/postconf \
+		/usr/sbin/mailwrapper /usr/sbin/postdrop \
+		/usr/sbin/mailwrapper /usr/sbin/postfix \
+		/usr/sbin/mailwrapper /usr/sbin/postkick \
+		/usr/sbin/mailwrapper /usr/sbin/postlock \
+		/usr/sbin/mailwrapper /usr/sbin/postlog \
+		/usr/sbin/mailwrapper /usr/sbin/postmap \
+		/usr/sbin/mailwrapper /usr/sbin/postqueue \
+		/usr/sbin/mailwrapper /usr/sbin/postsuper
 
 .include <bsd.prog.mk>
